Bug 110264 - Windows don't raise when clicked with cursor focus enabled
Windows don't raise when clicked with cursor focus enabled
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: metacity (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 13:16 EST by Kevin Krafthefer
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 15:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Krafthefer 2003-11-17 13:16:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
If user checks the box "Select windows when the mouse moves over them"
from within gnome-window-property, the user can no longer raise the
selected window by clicking on it (except if they click on the title bar).

The expected behavior would be that the window is raised when
left-clicking on any place within the window. RHL9 and RHEL2.1
function correctly,  RHEL3 and fedora do not.


Version-Release number of selected component (if applicable):
control-center-2.2.0.1-10

How reproducible:
Always

Steps to Reproduce:
1.run gnome-window-property
2.check box "Select windows when the mouse moves over them"
3. click in middle of a window that is partially covered by another
window.
    

Actual Results:  Nothing.

Expected Results:  Window that is clicked on is raised.

Additional info:
Comment 1 Mike Hall 2004-01-23 02:31:59 EST
Having the same problem with fedora 1 with all updates. You can click
on any window decoration and it works, but if you click in the window
itself it will not raise.

Comment 2 Elijah Newren 2004-04-14 20:01:53 EDT
This is the same as bug number 115027 on Gnome bugzilla. 
(http://bugzilla.gnome.org/show_bug.cgi?id=115072).  This should
probably be resolved as fixed upstream, after applying the patch.

Note that this bug also disables selecting of desktop icons and any
applets on the panel that require typing (such as a dictionary
applet), so it's not just a preference about raise-on-click.

Note You need to log in before you can comment on or make changes to this bug.